Subject: Re: Linux arp flux problem

From: Ming-Ching Tiew <[email-masked]>
Date: Mon, 12 Apr 2010 19:18:06 -0700 (PDT)

--- On Mon, 4/12/10, Ming-Ching Tiew <[email-masked]> wrote:

> From: Ming-Ching Tiew <[email-masked]>
> Subject: Linux arp flux problem
> To: "Net Dev" <[email-masked]>
> Date: Monday, April 12, 2010, 3:16 AM
> 
> The following link explains the Linux arp flux problem
> pretty well, and I myself have been burnt badly by a life
> site where the "arp_filter" does not help at all.
> 
>          http://linux-ip.net/html/ether-arp.html
> 
> And I tested the kernel patch by Julian Anastasov, and it
> works 100% reliably :-
> 
>          http://www.ssi.bg/~ja/#hidden
> 
> My question is the patches has been around for many years,
> why has it not been included into the kernel ? Is it that
> Linux is supposed to have this "side effects" of arp linux
> on purpose ?
> 

May I propose that the said patch ( http://www.ssi.bg/~ja/#hidden )
be accepted into the kernel. And if it does not qualify, may I know why ?

Thank you.